package org.springblade.modules.superloan.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import org.springblade.core.mp.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import java.time.LocalDateTime;


/**
 *  实体类
 *
 * @author Chill
 */
@Data
@TableName("superloan_user")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SuperLoanUser对象", description = "")
public class SuperLoanUserEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 注册ip
	 */
	@ApiModelProperty(value = "注册ip")
	private String registerIp;
	/**
	 * 注册时间
	 */
	@ApiModelProperty(value = "注册时间")
	private LocalDateTime registerTime;
	/**
	 * 注册手机号，也是登录号
	 */
	@ApiModelProperty(value = "注册手机号，也是登录号")
	private String phone;
	/**
	 * 密码(加密)
	 */
	@ApiModelProperty(value = "密码(加密)")
	private String passWord;
	/**
	 * 用户状态
	 */
	@ApiModelProperty(value = "用户状态")
	private Integer state;

}
