package org.springblade.modules.superloan.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.superloan.entity.SuperLoanUserEntity;
import org.springblade.modules.superloan.vo.SuperLoanUserVO;

/**
 *  包装类,返回视图层所需的字段
 *
 * @author Chill
 */
public class SuperLoanUserWrapper extends BaseEntityWrapper<SuperLoanUserEntity, SuperLoanUserVO>  {

	public static SuperLoanUserWrapper build() {
		return new SuperLoanUserWrapper();
 	}

	@Override
	public SuperLoanUserVO entityVO(SuperLoanUserEntity superloanUser) {
		SuperLoanUserVO superloanUserVO = BeanUtil.copy(superloanUser, SuperLoanUserVO.class);

		return superloanUserVO;
	}

}
